log4cplus::helpers::ConvertIntegerToStringHelper< intType, charType, true > Struct Template Reference

`#include <stringhelper.h>`

Inheritance diagram for log4cplus::helpers::ConvertIntegerToStringHelper< intType, charType, true >:
[legend]
Collaboration diagram for log4cplus::helpers::ConvertIntegerToStringHelper< intType, charType, true >:
[legend]

## Static Public Member Functions

static void | step1 (charType *&it, intType &value)
static bool | is_negative (intType val)

## Detailed Description

template<typename intType, typename charType>
struct log4cplus::helpers::ConvertIntegerToStringHelper< intType, charType, true >

Definition at line 103 of file stringhelper.h.

## Member Function Documentation

## is_negative()

template<typename intType, typename charType>

bool log4cplus::helpers::ConvertIntegerToStringHelper< intType, charType, true >::is_negative | ( | intType | val | ) |

inline static

Definition at line 134 of file stringhelper.h.

## step1()

template<typename intType, typename charType>

void log4cplus::helpers::ConvertIntegerToStringHelper< intType, charType, true >::step1 | ( | charType *& | it,
|  | intType & | value )

inline static

Definition at line 107 of file stringhelper.h.

References LOG4CPLUS_TEXT, and LOG4CPLUS_UNLIKELY.

The documentation for this struct was generated from the following file:

- stringhelper.h